<button *ngIf="userRole!='Admin' && userDesignation != 'Managing Director'" type="button" data-toggle="modal"
    data-target="#fabricRequirementForm" data-backdrop="static" data-keyboard="false" (click)="createRequirementForm()"
    class="btn btn-sm btn-custom mb-2 mr-2 pull-right">Add Fabric Requirement</button>

<div class="table-responsive">
    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>Category</th>
                <th>Fabric Code</th>
                <th>Color</th>
                <th>Qty</th>
                <th>Booked Qty</th>
                <th>Extra Qty</th>
                <th>Dispatch Date</th>
                <th>ETA</th>
                <th *ngIf="userRole!='Admin' && userDesignation != 'Managing Director'">Action</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let req of requirements | paginate: { itemsPerPage: 10, currentPage: p }">
                <td>{{req.category}}</td>
                <td>{{req.item_code}}</td>
                <td>{{req.item_color}}</td>
                <td>{{req.quantity}}</td>
                <td>{{req.booked_quantity}}</td>
                <td>{{req.extra_needed}}</td>
                <td>{{req.dispatch_date}}</td>
                <td>{{req.ETA}}</td>
                <td *ngIf="userRole!='Admin' && userDesignation != 'Managing Director'">
                    <span><a data-toggle="modal" data-target="#viewFabricRequirement"
                            (click)="viewFabricRequirement(req)"><i class="fa fa-eye text-info mr-2"
                                aria-hidden="true"></i></a></span>
                    <i data-toggle="modal" data-target="#fabricRequirementForm" (click)="editRequirementData(req)"
                        class="fa fa-edit mr-1 text-primary" aria-hidden="true"></i>
                </td>
            </tr>
            <tr *ngIf="schedules==''">
                <td colspan="10" class="text-center">No Records Found</td>
            </tr>
        </tbody>
    </table>
    <div class="row d-flex justify-content-center">
        <pagination-controls *ngIf="requirements!=''" class="my-pagination" (pageChange)="p = $event">
        </pagination-controls>
    </div>
</div>



<!-----------Add Delivery Schedule Form Modal------------------------>
<div id="fabricRequirementForm" class="modal fade xlargeModal" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Fabric Requirement Data</h6>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorUpdateRequirementLog()" [formGroup]="requirementForm">
                    <div class="form-group row">
                        <div class="col-md-8 ">
                            <div class="row form-group">
                                <div class="col-sm-6 mb-3">
                                    <label>Category:</label>
                                    <select formControlName="category" class="form-control dropdown" id="category">
                                        <option value="body">Body</option>
                                        <option value="trims">Trims</option>
                                        <option value="lining">Lining</option>
                                    </select>
                                    <div *ngIf="submitted && formControls.category.errors" class="errors">
                                        <div *ngIf="formControls.category.errors.required">Category is required</div>
                                    </div>
                                </div>
                                <div class="col-sm-6 mb-3">
                                    <label>Fabric Code:</label>
                                    <input formControlName="item_code" type="text"
                                        class="form-control form-control-user" id="item_code">
                                    <div *ngIf="submitted && formControls.item_code.errors" class="errors">
                                        <div *ngIf="formControls.item_code.errors.required">Fabric Code is required
                                        </div>
                                    </div>
                                </div>
                            
                                <div class="col-sm-6 mb-3">
                                    <label>Color:</label>
                                    <input formControlName="item_color" type="text"
                                        class="form-control form-control-user" id="item_color">
                                    <div *ngIf="submitted && formControls.item_color.errors" class="errors">
                                        <div *ngIf="formControls.item_color.errors.required">Color is required</div>
                                    </div>
                                </div>
                                <div class="col-sm-6 mb-3">
                                    <label>Color Code:</label>
                                    <input formControlName="item_color_code" type="text"
                                        class="form-control form-control-user" id="item_color_code">
                                    <div *ngIf="submitted && formControls.item_color_code.errors" class="errors">
                                        <div *ngIf="formControls.item_color_code.errors.required">Color Code is required
                                        </div>
                                    </div>
                                </div>
                            
                                <div class="col-sm-6 mb-3">
                                    <label>Consumption:</label>
                                    <input formControlName="consumption" type="number"
                                        class="form-control form-control-user" id="consumption">
                                    <div *ngIf="submitted && formControls.consumption.errors" class="errors">
                                        <div *ngIf="formControls.consumption.errors.required">Consumption is required
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-6 mb-3">
                                    <label>Rate:</label>
                                    <input formControlName="rate" type="number" class="form-control form-control-user"
                                        id="rate">
                                    <div *ngIf="submitted && formControls.rate.errors" class="errors">
                                        <div *ngIf="formControls.rate.errors.required">Rate is required</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label>Description:</label>
                            <textarea formControlName="item_description" type="text"
                                class="form-control form-control-user" id="item_description"></textarea>
                            <div *ngIf="submitted && formControls.item_description.errors" class="errors">
                                <div *ngIf="formControls.item_description.errors.required">Description is required</div>
                            </div>
                        </div>

                   
                        <div class="col-sm-4 mb-3">
                            <label>Cotton content (%):</label>
                            <input formControlName="cotton_content" type="number" class="form-control form-control-user"
                                id="cotton_content">
                            <div *ngIf="submitted && formControls.cotton_content.errors" class="errors">
                                <div *ngIf="formControls.cotton_content.errors.required">Cotton Content is required
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label>Width:</label>
                            <input formControlName="width" type="text" class="form-control form-control-user"
                                id="width">
                            <div *ngIf="submitted && formControls.width.errors" class="errors">
                                <div *ngIf="formControls.width.errors.required">Width is required</div>
                            </div>
                        </div>
                    
                        <div class="col-sm-4 mb-3">
                            <label>Quantity:</label>
                            <input formControlName="quantity" type="number" class="form-control form-control-user"
                                id="quantity">
                            <div *ngIf="submitted && formControls.quantity.errors" class="errors">
                                <div *ngIf="formControls.quantity.errors.required">Quantity is required</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label>Booked/Approved Quantity:</label>
                            <input formControlName="booked_quantity" type="number"
                                class="form-control form-control-user" id="booked_quantity">
                            <div *ngIf="submitted && formControls.booked_quantity.errors" class="errors">
                                <div *ngIf="formControls.booked_quantity.errors.required">Booked/Approved Quantity is
                                    required</div>
                            </div>
                        </div>

                        <div class="col-sm-4 mb-3">
                            <label>Extra needed:</label>
                            <input formControlName="extra_needed" type="number" class="form-control form-control-user"
                                id="extra_needed">
                            <div *ngIf="submitted && formControls.extra_needed.errors" class="errors">
                                <div *ngIf="formControls.extra_needed.errors.required">Extra Neeeded is required</div>
                            </div>
                        </div>
                  
                        <div class="col-sm-4 mb-3">
                            <label>Does this trim change colour wise?</label>
                            <select formControlName="colorwise_booking" class="form-control dropdown"
                                id="colorwise_booking">
                                <option value="1">Yes</option>
                                <option value="0">No</option>
                            </select>
                            <div *ngIf="submitted && formControls.colorwise_booking.errors" class="errors">
                                <div *ngIf="formControls.colorwise_booking.errors.required">Color wise booking is
                                    required</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label>Does this trim change size wise?</label>
                            <select formControlName="sizewise_booking" class="form-control dropdown"
                                id="sizewise_booking">
                                <option value="1">Yes</option>
                                <option value="0">No</option>
                            </select>
                            <div *ngIf="submitted && formControls.sizewise_booking.errors" class="errors">
                                <div *ngIf="formControls.sizewise_booking.errors.required">Size wise booking is required
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-4 mb-3">
                            <label>Is the trim cleared to be booked?</label>
                            <select formControlName="booked_status" class="form-control dropdown" id="booked_status">
                                <option value="1">Yes</option>
                                <option value="0">No</option>
                            </select>
                            <div *ngIf="submitted && formControls.booked_status.errors" class="errors">
                                <div *ngIf="formControls.booked_status.errors.required">Booked Status is required</div>
                            </div>
                        </div>
                   
                        <div class="col-sm-4 mb-3">
                            <label>Has the order been dispatched</label>
                            <select formControlName="dispatch_status" class="form-control dropdown"
                                id="dispatch_status">
                                <option value="1">Yes</option>
                                <option value="0">No</option>
                            </select>
                            <div *ngIf="submitted && formControls.dispatch_status.errors" class="errors">
                                <div *ngIf="formControls.dispatch_status.errors.required">Distaptch Status is required
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label>Distaptch Date:</label>
                            <input formControlName="dispatch_date" type="date" class="form-control form-control-user"
                                id="dispatch_date">
                            <div *ngIf="submitted && formControls.dispatch_date.errors" class="errors">
                                <div *ngIf="formControls.dispatch_date.errors.required">Distaptch Date is required</div>
                            </div>
                        </div>

                        <div class="col-sm-4 mb-3">
                            <label>Estimated Date of arrival:</label>
                            <input formControlName="ETA" type="date" class="form-control form-control-user" id="ETA">
                            <div *ngIf="submitted && formControls.ETA.errors" class="errors">
                                <div *ngIf="formControls.ETA.errors.required">ETA is required</div>
                            </div>
                        </div>
                   
                        <div class="col-sm-4 mb-3">
                            <label>Payment terms:</label>
                            <input formControlName="payment_terms" type="text" class="form-control form-control-user"
                                id="payment_terms">
                            <div *ngIf="submitted && formControls.payment_terms.errors" class="errors">
                                <div *ngIf="formControls.payment_terms.errors.required">Payment terms is required</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label>Delivery terms:</label>
                            <input formControlName="delivery_terms" type="text" class="form-control form-control-user"
                                id="delivery_terms">
                            <div *ngIf="submitted && formControls.delivery_terms.errors" class="errors">
                                <div *ngIf="formControls.delivery_terms.errors.required">Delivery terms is required
                                </div>
                            </div>
                        </div>
                    </div>

                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3">
                        </div>
                        <div class="col-sm-4 mb-3">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>
                </form>
            </div>
        </div>

    </div>
</div>


<!-----------View Trim Requirement------------------------>
<div id="viewFabricRequirement" class="modal fade xlargeModal" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Fabric Requirement Data</h6>
                <button #closeBtn2 type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <div class="row" *ngIf="selected_data">
                    <div class="col-md-12 mb-2">
                        Description: {{selected_data.item_description}}
                    </div>
                    <hr>
                    <div class="col-md-6">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <tr>
                                <td>Category</td>
                                <td>{{selected_data.category}}</td>
                            </tr>
                            <tr>
                                <td>Trim Code</td>
                                <td>{{selected_data.item_code}}</td>
                            </tr>
                            <tr>
                                <td>Color</td>
                                <td>{{selected_data.item_color}}</td>
                            </tr>
                            <tr>
                                <td>Color Code</td>
                                <td>{{selected_data.item_color_code}}</td>
                            </tr>
                            <tr>
                                <td>Consumption</td>
                                <td>{{selected_data.consumption}}</td>
                            </tr>
                            <tr>
                                <td>Rate</td>
                                <td>{{selected_data.rate}}</td>
                            </tr>
                            <tr>
                                <td>Cotton Content</td>
                                <td>{{selected_data.cotton_content}} %</td>
                            </tr>
                        </table>
                    </div>
                    <div class="col-md-6">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <tr>
                                <td>Width</td>
                                <td>{{selected_data.width}}</td>
                            </tr>
                            <tr>
                                <td>Quantity</td>
                                <td>{{selected_data.quantity}}</td>
                            </tr>
                            <tr>
                                <td>Booked Quantity</td>
                                <td>{{selected_data.booked_quantity}}</td>
                            </tr>
                            <tr>
                                <td>Extra Quantity</td>
                                <td>{{selected_data.extra_needed}}</td>
                            </tr>
                            <tr>
                                <td>Distaptch Date:</td>
                                <td>{{selected_data.dispatch_date}}</td>
                            </tr>
                            <tr>
                                <td>ETA:</td>
                                <td>{{selected_data.ETA}}</td>
                            </tr>
                        </table>
                    </div>
                    <div class="col-md-12">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <tr>
                                <td>Does this trim change colour wise?</td>
                                <td>
                                    <span *ngIf="selected_data.colorwise_booking == 0">No</span>
                                    <span *ngIf="selected_data.colorwise_booking == 1">Yes</span>
                                </td>
                            </tr>
                            <tr>
                                <td>Does this trim change size wise?</td>
                                <td>
                                    <span *ngIf="selected_data.sizewise_booking == 0">No</span>
                                    <span *ngIf="selected_data.sizewise_booking == 1">Yes</span>
                                </td>
                            </tr>
                            <tr>
                                <td>Is the trim cleared to be booked?</td>
                                <td>
                                    <span *ngIf="selected_data.booked_status == 0">No</span>
                                    <span *ngIf="selected_data.booked_status == 1">Yes</span>
                                </td>
                            </tr>
                            <tr>
                                <td>Has the order been dispatched</td>
                                <td>
                                    <span *ngIf="selected_data.dispatch_status == 0">No</span>
                                    <span *ngIf="selected_data.dispatch_status == 1">Yes</span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>